# Summary

- [Introduction](introduction.md)

# Getting started

- [Installing uv](installation.md)
- [First steps](first-steps.md)

# Guides

- [Installing Python](guides/install-python.md)
- [Running scripts](guides/scripts.md)
- [Installing tools](guides/tools.md)
- [Creating a project](guides/projects.md)

# Concepts

- [Projects](preview/projects.md)
- [Command-line tools](preview/tools.md)
- [Python toolchains](preview/toolchains.md)
- [Workspaces](preview/workspaces.md)
- [Dependency sources](preview/dependencies.md)
- [Resolution](resolution.md)
- [Caching](cache.md)
- [Authentication](configuration/authentication.md)

# Configuration

- [Configuration files](configuration/files.md)
- [Environment variables](configuration/environment.md)

# Integration guides

- [Using in Docker](guides/docker.md)
- [Using in GitHub Actions](guides/github.md)
- [Using in pre-commit](guides/pre-commit.md)

# Low-level operations

- [Using environments](pip/environments.md)
- [Managing packages](pip/packages.md)
- [Inspecting packages](pip/inspection.md)
- [Declaring dependencies](pip/dependencies.md)
- [Locking environments](pip/compile.md)

# Policies

- [Versioning](versioning.md)
- [Platform support](platforms.md)
- [Compatibility with pip](pip/compatibility.md)
